#include "stdafx.h"
#include "Capture.h"

Capture::Capture()
{
	m_capture = NULL;
}

Capture::~Capture()
{
	Release();
}

void Capture::Release()
{
	if (m_capture!=NULL) {
		cvReleaseCapture(&m_capture);
		m_capture = NULL;
	}
}

int Capture::Init(int camera_id)
{
	m_capture = cvCreateCameraCapture(camera_id);
	if (m_capture==NULL) return -1;
	return 0;
}

void Capture::SetConfig(int width, int height, int fps )
{
	cvSetCaptureProperty( m_capture, CV_CAP_PROP_FRAME_WIDTH, width );
	cvSetCaptureProperty( m_capture, CV_CAP_PROP_FRAME_HEIGHT, height );
	cvSetCaptureProperty( m_capture, CV_CAP_PROP_FPS, fps );
}

IplImage* Capture::QueryFrame(void)
{
	return cvQueryFrame(m_capture);
}
